<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// $Id: backup_mysql.php,v 1.3 2007/04/28 00:00:00 DrByte Exp $
//

// define the locations of the mysql utilities.  Typical location is in '/usr/bin/' ... but not on Windows servers.
// try 'c:/mysql/bin/mysql.exe' and 'c:/mysql/bin/mysqldump.exe' on Windows hosts ... change drive letter and path as needed
define('LOCAL_EXE_MYSQL',     '/usr/bin/mysql');  // used for restores
define('LOCAL_EXE_MYSQLDUMP', '/usr/bin/mysqldump');  // used for backups

// the following are the language definitions
define('HEADING_TITLE', 'Archiwizator bazy danych - MySQL');
define('WARNING_NOT_SECURE_FOR_DOWNLOADS','<span class="errorText">INFORMACJA: Przy pierwszym użyciu narzędzia sprawdź dokładnie jego działanie na Twoim serwerze. Oficjalnie skrypt nie obsługuje serwerów działających pod kontrolą Microsoft Windows we wszystkich wersjach!');
define('TABLE_HEADING_TITLE', 'Nazwa');
define('TABLE_HEADING_FILE_DATE', 'Data');
define('TABLE_HEADING_FILE_SIZE', 'Wielkość');
define('TABLE_HEADING_ACTION', 'Działanie');

define('TEXT_INFO_HEADING_NEW_BACKUP', 'Nowa kopia');
define('TEXT_INFO_HEADING_RESTORE_LOCAL', 'Przywróć z pliku wczytanego z Twojego komputera');
define('TEXT_INFO_NEW_BACKUP', 'Pod żadnym pozorem nie przerywaj działania procesu! Przy większej ilości danych może trwać nawet kilka minut');
define('TEXT_INFO_UNPACK', '<br><br><b>(Wybierany plik kopii zapasowej znajdujący się na serwerze MUSI najpierw być ręcznie rozpakowany do formatu tekstowego!)</b>');
define('TEXT_INFO_RESTORE', 'Pod żadnym pozorem nie przerywaj działania procesu odtwarzania bazy.<br><br>Czym większa ilość danych do odtworzenia, tym dłuższy czas wykonywania procesu przywracania bazy!<br><br>W przypadku problemów z odtworzeniem bardzo dużej bazy danych zalecamy skorzystanie z bezpośredniego narzędzia obsługi bazy na serwerze - np. phpMyAdmin lub bezpośrednią komendą z poziomu powłoki shell:<br><br>Treść komendy dla wybranego pliku kopii zapasowej:<br><br><b>mysql -h ' . DB_SERVER . ' -u' . DB_SERVER_USERNAME . ' -p ' . DB_DATABASE . ' < %s </b> %s');
define('TEXT_INFO_RESTORE_LOCAL', 'Nie przerywaj procesu odtwarzania.<br><br>Czym większa ilość danych w bazie, tym dłużej trwa proces jej przywracania!');
define('TEXT_INFO_RESTORE_LOCAL_RAW_FILE', 'Wczytywany plik powinien być zapisany jako plik tekstowy z rozszerzeniem sql.');
define('TEXT_INFO_DATE', 'Data:');
define('TEXT_INFO_SIZE', 'Wielkość:');
define('TEXT_INFO_COMPRESSION', 'Kompresja:');
define('TEXT_INFO_USE_GZIP', 'Używaj GZIP');
define('TEXT_INFO_USE_ZIP', 'Używaj ZIP');
define('TEXT_INFO_SKIP_LOCKS', 'Pomiń sprawdzanie kluczy (sprawdzanie kluczy tabel może powodować błędy przy odtwarzaniu)');
define('TEXT_INFO_USE_NO_COMPRESSION', 'Bez kompresji (Plik tekstowy SQL - tylko jeśli wybierzesz pobieranie na swój komputer. Pliki zapisywane na serwerze są zawsze spakowane do formatu gz - przed odtwarzaniem musisz je rozpakować!)');
define('TEXT_INFO_DOWNLOAD_ONLY', 'Nie zapisuj wykonanej kopii na serwerze tylko pobierz na swój komputer. Możesz również nie zaznaczać tej opcji i pobrać spakowany plik kopii zapisany na serwerze poprzez klienta FTP');
define('TEXT_INFO_BEST_THROUGH_HTTPS', '(Proces odtwarzania bazy rozpocznie się automatycznie po całkowitym wczytaniu pliku na serwer)');
define('TEXT_DELETE_INTRO', 'Czy napewno chcesz usunąć te kopie?');
define('TEXT_NO_EXTENSION', 'Brak');
define('TEXT_BACKUP_DIRECTORY', 'Katalog kopii bazy:');
define('TEXT_LAST_RESTORATION', 'Ostatnio przwracana:');
define('TEXT_FORGET', '(zapomnij)');

define('ERROR_BACKUP_DIRECTORY_DOES_NOT_EXIST', 'BŁĄD: Nie można odszukać ścieżki do katalogu kopii zapasowych. Sprawdź dokładnie jego lokalizację w pliku configure.php.');
define('ERROR_BACKUP_DIRECTORY_NOT_WRITEABLE', 'BŁĄD: W katalogu kopii zapasowych nie można zapisywać. Musisz zmienić prawa dostępu do katalogu');
define('ERROR_DOWNLOAD_LINK_NOT_ACCEPTABLE', 'BŁĄD: Download link not acceptable.');
define('ERROR_CANT_BACKUP_IN_SAFE_MODE','BŁĄD: Konfiguracja funkcji safe_mode i open_basedir na Twoim serwerze uniemożliwia działanie skryptu.<br />Skontaktuj się z administratorem serwera.');
define('ERROR_EXEC_DISABLED','BŁĄD: Konfiguracja Twojego serwera uniemożliwia użycie funkcji "exec()" . Zwróć się do administratora serwera aby zezwolił na jej używanie.');
define('ERROR_FILE_NOT_REMOVEABLE', 'BŁĄD: Konfiguracja Twojego serwera uniemozliwia usunięcie pliku z poziomu Panelu Administracyjnego Sklepu. Musisz tą operację wykonać poprzez FTP.');

define('SUCCESS_LAST_RESTORE_CLEARED', 'Powodzenie: Pamięć została wyczyszczona z zapamiętanych danych.');
define('SUCCESS_DATABASE_SAVED', 'Powodzenie: Kopia bazy danych została zapisana.');
define('SUCCESS_DATABASE_RESTORED', 'Powodzenie: Baza danych sklepu została przywrócona z wybranej kopii zapasowej.');
define('SUCCESS_BACKUP_DELETED', 'Powodzenie: Kopia bazy danych została usunięta.');
define('FAILURE_DATABASE_NOT_SAVED', 'Ostrzeżenie: Kopia bazy danych nie została zapisana.');
define('FAILURE_DATABASE_NOT_SAVED_UTIL_NOT_FOUND', 'BŁĄD: Nie można odszukać ścieżki do komendy MYSQLDUMP na serwerze. Skontaktuj się z administratorem serwera. Kopia bazy nie może być utworzona.');
define('FAILURE_DATABASE_NOT_RESTORED', 'Ostrzeżenie: Niepoprawne ustawienie odtwarzania bazy danych. Sprawdź dokładnie podane dane!');
define('FAILURE_DATABASE_NOT_RESTORED_FILE_NOT_FOUND', 'Ostrzeżenie: Baza danych nie została odtworzona.  BŁĄD: W wybranej lokalizacji brak pliku kopii: %s');
define('FAILURE_DATABASE_NOT_RESTORED_UTIL_NOT_FOUND', 'BŁĄD: Nie można odszukać ścieżki do narzędzi MYSQL na serwerze. Skontaktuj się z administratorem serwera. Baza nie została przywrócona.');
define('FAILURE_BACKUP_FAILED_CHECK_PERMISSIONS','Aktualna konfiguracja serwera nie zezwala na korzystanie z narzędzi obsługi baz danych (mysqldump i mysqldump.exe). Skontaktuj się z administratorem serwera');

// Set this to 'true' if the zip options aren't appearing while doing a backup, and you are certain that gzip support exists on your server
define('COMPRESS_OVERRIDE','false');

?>